## qingping-ble 1.0.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## qingping-ble 0.10.0

=== debian/changelog ===
qingping-ble (0.10.0-3) unstable; urgency=medium

  * Team upload.
  * Add home_assistant_bluetooth to dependencies (Closes: #1104843)
  * Bump standards version to 4.7.2 (no changes needed)

 -- Ananthu C V <weepingclown@debian.org>  Sat, 17 May 2025 01:28:04 +0530

qingping-ble (0.10.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.
  * Move packages required for tests to Build-Depends-Indep.
  * Set CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1 for tests.

 -- Edward Betts <edward@4angle.com>  Fri, 16 Aug 2024 10:10:38 +0100

qingping-ble (0.10.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1077575)

 -- Edward Betts <edward@4angle.com>  Tue, 30 Jul 2024 15:12:38 +0900

=== debian/control ===
Source: qingping-ble
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-bluetooth-data-tools <!nocheck>,
 python3-bluetooth-sensor-state-data <!nocheck>,
 python3-home-assistant-bluetooth <!nocheck>,
 python3-myst-parser <!nodoc>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-sensor-state-data <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/bluetooth-devices/qingping-ble
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/qingping-ble
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/qingping-ble.git

Package: python3-qingping-ble
Architecture: all
Depends:
 python3-home-assistant-bluetooth,
 ${misc:Depends},
 ${python3:Depends},
Description: Library for interacting with Qingping BLE devices
 This library provides tools for interacting with various Qingping Bluetooth
 Low Energy (BLE) devices, allowing for communication and data extraction.
 Supported devices include air monitors, alarm clocks, door/window sensors,
 thermo-hygrometers, motion and ambient light sensors, and CO2 monitors. It is
 designed to enable the seamless integration of these devices within other
 systems, facilitating data retrieval and monitoring through BLE communication.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=qingping-ble
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--no-cov
export CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf qingping_ble.egg-info/ docs/_build

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR)/src LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees source _build/html

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-bluetooth-sensor-state-data,
 python3-home-assistant-bluetooth,
 python3-pytest,
 @,

## qingping-ble 1.0.1

=== debian/changelog ===
qingping-ble (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Update copyright year.
  * Move files to clean from override_dh_auto_clean to debian/clean.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Fri, 29 Aug 2025 12:26:11 +0100

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
 Homepage: https://github.com/bluetooth-devices/qingping-ble
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/qingping-ble
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/qingping-ble.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-qingping-ble
 Architecture: all

=== debian/watch ===
version=4
https://github.com/bluetooth-devices/qingping-ble/tags .*/v?(\d\S+)\.tar\.gz

## qingping-ble 1.1.0

=== debian/changelog ===
qingping-ble (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Tue, 13 Jan 2026 08:05:04 +0000

=== debian/watch ===
Version: 5

Template: Github
Owner: bluetooth-devices
Project: qingping-ble

## qingping-ble 1.1.1

=== debian/changelog ===
qingping-ble (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 23 Feb 2026 09:42:58 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -21,8 +20,7 @@
  python3-sensor-state-data <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/bluetooth-devices/qingping-ble
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/qingping-ble
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/qingping-ble.git
